# **Slightly Better Trapdoors**
(Cursed Fabric Edition can be found here (Thank you Byte): https://glass-repo.net/repo/mod/sbtfabric)

Slightly Better Trapdoors is a simple .jar mod for Minecraft Beta 1.7.3 that makes Trapdoors less annoying, allowing you to do more creative things with them, like making a chair.
![](https://i.imgur.com/AqsKnM1.png)

## **So what does the mod change?**
The mod removes, adds, and simplifies several checks that the trapdoor usually makes. With these checks altered, it introduses the following gameplay changes:

1. Trapdoors can now be placed on non-solid blocks (Thank you Byte). 

2. Trapdoors no longer need a supporting block in order to be placed or stay placed, this means that Trapdoors can now float in mid air.

3. Trapdoors can now be placed on top of (and to an extent bellow) blocks, if the player does place a Trapdoor on top of a block the Trapdoor will be rotated depending on the players direction (Thank you Meefy).

4. Trapdoors have been added to the list of effective blocks the Axe can mine. This means that you can mine trapdoors faster with an Axe.
![](https://i.imgur.com/25Wcie5.png)

## **So how do I install the mod?**
That depends on whether you want to play with friends or not. If you want to play by yourself, follow the **Installing on Client** tutorial. If you want to play with palls, follow the **Installing on Server** tutorial.

### **Installing on Client**
1.  Download both `better_trap_<version>_client.zip` and Multimc: https://multimc.org/, and install Multimc (if you haven't already)
2.  Create a new instance for Minecraft Beta 1.7.3, after that click *Edit Instance*. Or you can edit an already existing instance.
3.  Go to the version tab (if you don't see it by default) and on the right of the screen, click *Add to Minecraft.jar*
4.  Then browse to the  `better_trap_<version>_client.zip`  file you downloaded and click it once, then click *open*.
5.  Then in the bottom right of the screen, click *launch*.
6.  If everything has loaded correctly, you should see this bundle of text on the main menu (unless another mod has overwritten the main menu class).
![](https://i.imgur.com/pKuicrq.png)
(Note: If you don't want the bundle of main menu text, just remove the *fu.class* file from `better_trap_<version>_client.zip` before installation).

### **Installing on Server**
1.  Download both `better_trap_<version>_server.zip` and a Minecraft Beta 1.7.3 server jar: http://betacraft.pl/server-archive/minecraft/b1.7.3.jar, and run the server once, then stop it.
2.  Open the server jar with either WinRAR or 7zip.
3.  Drag and drop all the .class files from `better_trap_<version>_server.zip` into the server jar.
4.  Run the server.
5.  If everything has loaded correctly, you should be able to place Trapdoors in all sorts of funky ways with your friends.
![](https://i.imgur.com/b44JjWa.png)
(Note: As far as we know, the client doesn't need the mod installed in order to play on the modded server. However, we still recommend that both the server, and the client connecting to the server, have the mod installed. As the client can get funky visually, and may or may not get funky physically, without it).
(And a note for `cursed-fabric` users: You can connect to a Base edit server without issue, and vise-versa for Base edit users).
# **And Thats it**
You can now enjoy using Trapdoors in Beta 1.7.3 without as many limitations. Hope you have a fun time.

## **Credits**
**Gun Man** - Mod Creator

**Byte** - `cursed-fabric` port, help with Trapdoors attaching to non-solid blocks, and drastically simplifying rotation code.

**Meefy** - Help with Trapdoor rotation.

### **Change Logs:**
**Version 1.1**
* You can now place Trapdoors on non-solid blocks (thank you Byte)
* Removed some of the main menu text to be less cluttered
* Tweaked the Axe so that the mod only adds Trapdoors to the list of effective blocks the Axe can mine. As before the mod added a lot of unnecessary blocks, (chests, doors, signs, ex), that were only added to the list for testing purposes.
* You can now place trapdoors against the side of a block again, this was a vanilla behavior that was removed on accident.

**Version 1.2**
* Switched from an MCP-LTS workspace to an original MCP workspace (MCP 43), as LTS was a bit buggy when it came to modding multiplayer, as well as other funky stuff that didn't happen with MCP 43.
* Removed the Chest from the Axe's list of effective blocks it can mine, as it was an unnecessary block added to the list by the mod. This was ment to be done in version 1.1, but was forgotten.
* Added server files

**Version 1.3**
* Fixed a bug where the trapdoor will never face the block-face you're looking at, if you placed a trapdoor on the top or bottom of a block earlier.